<!DOCTYPE html>
<html>
 <head>
   <meta charset="utf-8" />
   <title>JS-ADV. Lesson 1. Task 3 </title>
</head>
<body>
  <div class="wrap" id="app"></div>

  <script>
  /*
      Задание:

      Сложить в элементе с id App следующую размету HTML:

      <header>
        <a href="http://google.com.ua">
          <img src="https://www.google.com.ua/images/branding/googlelogo/1x/googlelogo_color_272x92dp.png">
        </a>
        <div class="menu">
          <a href="#1"> link 1</a>
          <a href="#1"> link 2</a>
          <a href="#1"> link 3</a>
        </div>
      </header>

      Используя следующие методы для работы:
      getElementById
      createElement
      element.innerText
      element.className
      element.setAttribute
      element.appendChild

  */

    var appElem = document.getElementById('app');
    var headerElem = document.createElement('header');
    console.log(appElem, headerElem);
    // a
    var aElem = document.createElement('a');
      aElem.href = 'http://google.com.ua';
    var imgElem = document.createElement('img');
      imgElem.src = 'https://www.google.com.ua/images/branding/googlelogo/1x/googlelogo_color_272x92dp.png';
    aElem.appendChild(imgElem);
    // div
    var divElem = document.createElement('div');
      divElem.className = 'menu';
    for(var i=1;i<=3;i++){
      var a1Elem = document.createElement('a');
      a1Elem.href='#1';
      a1Elem.innerText = 'link '+i;
      divElem.appendChild(a1Elem);
    }

    headerElem.appendChild(aElem);
    headerElem.appendChild(divElem);
    appElem.appendChild(headerElem);
</script>
</body>
</html>
